# LogDoctor: DialogIda Class Reference

Loading...
Searching...
No Matches
DialogIda Class Referencefinal

DialogIda. More...

`#include <ida_dialog.h>`

Inheritance diagram for DialogIda:

## Public Member Functions

| DialogIda (const QString &title, const QString &text, const bool ignore=true, const bool discard=true, const bool abort=true, QWidget *parent=nullptr)

## Private Slots

void | on_button_IGNORE_clicked ()
| Called when the IGNORE button gets clicked.
void | on_button_DISCARD_clicked ()
| Called when the DISCARD button gets clicked.
void | on_button_ABORT_clicked ()
| Called when the ABORT button gets clicked.

## Detailed Description

DialogIda.

IGNORE/DISCARD/ABORT choice dialog

## Constructor & Destructor Documentation

## DialogIda()

DialogIda::DialogIda | ( | const QString & | title,
|  | const QString & | text,
|  | const bool | ignore = true,
|  | const bool | discard = true,
|  | const bool | abort = true,
|  | QWidget * | parent = nullptr )

explicit

Parameters

  title | The title
  text | The message
  ignore | Whether to show the IGNORE button or not
  discard | Whether to show the DISCARD button or not
  abort | Whether to show the ABORT button or not
  parent | The parent Widget

The documentation for this class was generated from the following files:

- logdoctor/modules/dialogs/ida_dialog.h
- logdoctor/modules/dialogs/ida_dialog.cpp